
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>从零开始学_JavaScript_系列（19）——js系列&amp;lt;6&amp;gt;闭包 / iVAN</title>

    <meta name="description" content="从零开始学_JavaScript_系列（19）——js系列&amp;lt;6&amp;gt;闭包 (18)闭包 ①函数内部的子函数,用到了父函数的变量,就叫做闭包.   ②可以为函数保存其执行状态,   ③其原理大概是: 首先,假如B函数在A函数的内部,则A为外部函数,B为内部函数,B可以访问A的变量(变量的作用域规定的): 然后,假如在函数内部,如果有一个return,那么在return结束前,这个函数中的变量,其值是维持不变的: 另外需要注意,不能让A函数(外部函数)执行完毕,否则状态无法保留(因为闭包的前提是A函数没有执行完毕),因此不能直接调用A函数,而是需要生成A函数return部">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">从零开始学_JavaScript_系列（19）——js系列&amp;lt;6&amp;gt;闭包</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>（18）闭包</strong></p>
<p>①函数内部的子函数，用到了父函数的变量，就叫做闭包。</p>
<p> </p>
<p>②可以为函数保存其执行状态，</p>
<p> </p>
<p>③其原理大概是：</p>
<p>首先，假如B函数在A函数的内部，则A为外部函数，B为内部函数，B可以访问A的变量（变量的作用域规定的）；</p>
<p>然后，假如在函数内部，如果有一个return，那么在return结束前，这个函数中的变量，其值是维持不变的；</p>
<p>另外需要注意，不能让A函数（外部函数）执行完毕，否则状态无法保留（因为闭包的前提是A函数没有执行完毕），因此不能直接调用A函数，而是需要生成A函数return部分的一个实例。</p>
<p> </p>
<p>因为有了这两个前提，于是两个办法：</p>
<p><strong>方法一：</strong>我们可以把B函数放在A函数的return之中。return的内容是一个对象{}，然后通过new生成这样一个对象，B函数成为这个对象的一个方法；</p>
<p>如代码：</p>
<pre>var func = function () {
    var i = 0;
    return {
        getI: function () {
            return i;
        },
        add: function () {
           i++;
        }
    }
}
var p = new func();
p.add();
<strong>console</strong>.log(p.getI());</pre>
<p>此时，p.add()会导致i的值增加，此时i的值变为了1。</p>
<p> </p>
<p> </p>
<p><strong>方法二：</strong>让A函数的return部分，成为一个函数，</p>
<p>但不能直接操纵A函数，因为调用A函数必然会导致A函数的return执行完毕，（因为函数会执行到return结束）</p>
<p>因此，需要将A函数的return部分赋值给另外一个变量C，此时C是A函数return部分（要记得，这个return部分是一个函数）的一个实例（相当于一个构造函数生成一个实例）。</p>
<p>而B函数是这个return部分的构造函数的一个方法，因此这个生成的实例也拥有了B函数这个方法。</p>
<p>如代码：</p>
<pre>var func = function () {
    var i = 0;
    return function(){
        i++;
        return i;
    }
}
var p = new func();
<strong>console</strong>.log(p());
<strong>console</strong>.log(p());</pre>
<p>这时，p的调用会导致i加一，因此调用p，输出的值分别为1和2。</p>
<p> </p>
<p>ps：无论是哪种方法，假如我们再new一个实例</p>
<pre>var q = new func();</pre>
<p>其并不会导致i的值在p和q之间共享。</p>
<p> </p>
<p> </p>
<p>④优点：</p>
<p>按照网易云课堂的说法，闭包可以减少内存使用，提高效率。（个人经过实测，认为没有说服性）</p>
<p>但是经过我实测，大部分方法和闭包差不多，比闭包慢的一个方法我后面列出。</p>
<p>如：</p>
<pre>var func = function () {
    var i = 0;
    return function () {
        i++;
        return i;
    }
}
var starttime = new Date();
var p = new func();
for(var i=0;i&lt;1000000;i++){
    p();
}
<strong>console</strong>.log(p())
<strong>console</strong>.log(new Date()-starttime);</pre>
<p>计算一百万次，消耗时间大概10毫秒左右。</p>
<p> </p>
<p>这是我看网易云课堂给的一个示例（我自己略有修改）；</p>
<pre>function sum(i) {
    var add = function (i) {
        i++;
        return i;
    }
    return add(i);
}
var starttime = new Date();
for (var i = 0; i &lt; 1000000; i++) {
    sum(1);
}
<strong>console</strong>.log(sum(1));
<strong>console</strong>.log(new Date() - starttime);</pre>
<p>其时间耗时为30毫秒左右。</p>
<p>但这个例子事实上返回了2次，所以我觉得不能证明闭包更快。例如，常规写法：</p>
<pre>function sum(i) {
    i++;
    return i;
}</pre>
<p>其耗时就和闭包差不多。我把计算量增加10倍（到一千万次），其时间和上面那个所说的比较慢的方法是差不多的（30ms左右）。</p>
<p>因此个人认为，应该是双重return所导致了耗时增多。</p>
<p> </p>
<p> </p>
<p><strong>⑤闭包的利用：</strong></p>
<p>假设我们有N个按钮，想点击第x按钮时，输出x。</p>
<pre>var m = function () {
    function cli(i){
        return function(){
            <strong>console</strong>.log(i);
        }
    }
    for (var i = 1; i &lt; 3; i++) {
        <strong>document</strong>.getElementById("test" + i).<strong>onclick </strong>= cli(i);
    }
}
m();</pre>
<p>初始时，不输出任何变量。点击id="test1"，输出1，点击id="test2"，输出2。</p>
<p> </p>
<p>假如逐个绑定，那么是不能达成这种目的的。例如：</p>
<pre>for (var i = 1; i &lt; 3; i++) {
    $("#test" + i).click(function () {
        <strong>console</strong>.log(i)
    });
}</pre>
<p>并不能如我们所愿那样，点击第一个按钮便输出1，事实上，无论点哪个，输出都是3。</p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-16 01:56:00</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>从零开始学_JavaScript_系列（19）——js系列&amp;lt;6&amp;gt;闭包的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDWJ1rp.html" rel="bookmark">从零开始学&lowbar;JavaScript&lowbar;系列（八）&mdash;&mdash;js系列&amp;amp&semi;lt&semi;2&amp;amp&semi;gt&semi;（事件触发顺序、文本读取、js编写ajax、输入验证、下拉菜单）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(20)事件触发的顺序 假如文档中有多个脚本(例如自动执行的脚本),那么他们执行是有一定的顺序的(在HTML文档之中): ①先执行&lt;head&gt;内的&lt;script&gt;标签.因此,这里的js脚本通常是嵌入代码.指向JS文件,可以在这里定义其后要使用的函数: ②其次是执行&lt;body&gt;内的script标签: ③然后是执行触发的脚本内容,例如在button按钮上添加的onclick=&quot;&quot;命令,就是在点击后触发的. (21)文档对象模型(DOM) 文档对象模型(D			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN739op.html" rel="bookmark">从零开始学&lowbar;JavaScript&lowbar;系列（一）初步概念、工具选择、简单内容输出、加载js文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(1)适用: HTML和web,可广泛用于服务器,PC,笔记本电脑,平板电脑和手机. 是所有现代浏览器和HTML5的默认脚本语言. 实际写的时候是跟HTML写一起,或者通过HTML来调用的.     (2)本质: 脚本语言. ①轻量级编程语言: ②可插入HTML页面的编程代码: ③插入HTML页面后,可由所有的现代浏览器执行: ④易学.       (3)&lt;script&gt;与&lt;/script&gt;标签 HTML的脚本必须位于&lt;script&gt;和&lt;/script&gt;之中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGAeLoM.html" rel="bookmark">从零开始学&lowbar;JavaScript&lowbar;系列（15）&mdash;&mdash;js系列&amp;amp&semi;lt&semi;4&amp;amp&semi;gt&semi;（数值、字符串、对象、数组、函数、日期的基本方法）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				注:$(&quot;#a&quot;).text( 内容 ) 是jquery的方法,可以理解为在 &lt;div id=&quot;a&quot;&gt;&lt;/div&gt;  添加内容变为: &lt;div id=&quot;a&quot;&gt;内容&lt;/div&gt; (6)数值 注意,Math的M需要大写 ①绝对值:Math.abc(x)         获得x的绝对值(之后的意思都类似,非特殊不再说明)   ②求四舍五入后结果: Math.round(1.9) = 2; Math.rou			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPPQqmp.html" rel="bookmark">从零开始学&lowbar;JavaScript&lowbar;系列（20）&mdash;&mdash;js系列&amp;amp&semi;lt&semi;7&amp;amp&semi;gt&semi;（函数原型的两种声明方式、函数的作用域）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  (20)函数的原型 ①Object.create(obj) 根据原型obj创建一个对象: 例如: var obj = {     a: 1 } var o1 = Object.create(obj); console.log(obj); console.log(o1); 输出为: Object {a: 1} Object {}   ②使用构造函数方法: 使用构造函数,通过new来创建一个实例(之前有,这里略)   ③ ①和②之间的区别: 通过②的继承: var obj = {     a:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYj0vBp.html" rel="bookmark">从零开始学&lowbar;JavaScript&lowbar;系列（15）&mdash;&mdash;js系列&amp;amp&semi;lt&semi;3&amp;amp&semi;gt&semi;（转为字符串，截取字符串）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(29)把json转化为字符串 JSON.stringify(store) 即可(注意JSON要大写),store是json对象     (30)对一个数组赋值 ①假如我们有一个不定长度的数组abc ②我们想要将该数组逐值赋给另一个数组def: ③因此,机智的我们想到了使用for循环: for(var i = 0; i &lt; abc.length; i++) {        def[i] = abc[i]; } ④然而,这样是无法赋值的(原因在于def之前未定义,因此不能直接把他当做一个数组):			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqRDyZp.html" rel="bookmark">从零开始学&lowbar;JavaScript&lowbar;系列（16）&mdash;&mdash;js系列&amp;amp&semi;lt&semi;5&amp;amp&semi;gt&semi;（正则表达式）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前注:参考网易云课堂前端的正则表达式内容 (12)正则表达式 ①描述字符串规则的表达式 使用  /规则/  来表示   ②正则表达式.test(字符串) 用于测试正则表达式与字符串是否匹配 返回值是true或者false 注:只需要字符串里包含正则表达式,即返回true,也就是说,假如正则表达式是/123/,字符串是a1234b,那么依然返回true   ③锚点: ^     起始位置(shift+6),/^http:/匹配以https开头的 $     结束为止,/\.jpg$/ 表示以.jp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOlDrxb.html" rel="bookmark">从零开始学&lowbar;JavaScript&lowbar;系列（十）&mdash;&mdash;dojo&lpar;3&rpar;（GRID表格创建、样式、列宽可变、排序、过滤器）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果没有接触过dojo,建议阅读: http://blog.csdn.net/qq20004604/article/details/51028702 里面介绍了如何加载dojo.(当然,本篇也考虑了未使用过dojo的人,可以只阅读该链接关于dojo下载的部分,以获得dojo) 关于dojo的下载,请查看: https://dojotoolkit.org/download/ 建议下载FULL SOURCE版 如果需要讨论,请评论.或者站内信,我会尽快回复. (34)gridx gridx系列插件并			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Z5d7z.html" rel="bookmark">从零开始学&lowbar;JavaScript&lowbar;系列（二）&mdash;&mdash;弹框及读取、条件判断、事件处理、注释、图片、超链和div</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(11)导入js文件的潜在问题 假如有一个 &lt;script src=&quot;111.js&quot;&gt; js脚本1 &lt;/script&gt; 那么,由于导入了111.js的原因,&quot;js脚本1&quot;事实上是不会被执行的. 准确的说,包含导入js脚本功能的script标签,里面的脚本都不会执行(不能保证全部,但目前学到的都不会被执行,如果有可以执行的,其后会在这里修改说明).   (12)补充说明适应人群 至少要有一点的编程概念,毫无编程概念的话,恐怕是有一些难度的. 由			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOaEV8M.html" rel="bookmark">从零开始学&lowbar;JavaScript&lowbar;系列（七）&mdash;&mdash;jquery（复选框及互斥、div块、修改css、标签数组、ajax连续加载）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(17)查看复选框是否被选中 复选框为: &lt;input type=&quot;checkbox&quot; name=&quot;yingmingliu&quot;id=&quot;yingmingliu&quot; value=&quot;yingmingliu&quot;/&gt; jq语法为: $(&quot;#yingmingliu&quot;).is(':checked') 如果选中,返回true,如果没有被选中,返回false.   查看复选框的值: $(&quot;#yingmingl			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRa9kb.html" rel="bookmark" class="title">百度site下快照与搜索关键词下的快照差别</a>
					<div>
						最近电商圈李昌家发现一个现象,就是百度site下的快照与搜索关键词下的快照有一些区别,居然相差近10天的时间,当输入www.***.com,结果跟site是一样的结果. 先看一个截图:这是site下的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl65nz.html" rel="bookmark" class="title">Centos 5&period;5中安装OpenVPN完整版：客户端配置及其客户端证书吊销</a>
					<div>
						一 OpenVPN客户端的安装及其配置 1.到OpenVPN官方网站 http://openvpn.net下载OpenVPN GUI,客户端的版本要和服务器的版本保持一致. 2.安装OpenVPN G ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3N0a0z.html" rel="bookmark" class="title">tplink路由器wdr5300静态ip不能上网怎么办</a>
					<div>
						  tplink路由器wdr5300静态ip不能上网的解决方法: 宽带线路(入户网线或从Modem出来的网线)需连接在路由器的WAN口,有线电脑需连接在LAN口,如下图: 如果线路连接正确,但WAN口 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badK9nz.html" rel="bookmark" class="title">本地磁盘打不开，限制本地磁盘的设置方法</a>
					<div>
						我们需要通过调整限制本地磁盘的设置来解决问题. 让我们打开开始菜单-附件-运行,输入gpedit.msc 并确定. 打开本地组策略编辑器后,我们依次选择管理模板-Windows组件-Windows资源 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eaqob.html" rel="bookmark" class="title">如何设置win7睡眠模式</a>
					<div>
						  在windows7系统中有了一个新的睡眠模式,当电脑处于睡眠模式时,能耗非常低. 但是,当你在唤醒win7睡眠状态的系统时,却非常地迅速,不用像xp那样等待漫长的开始时间. 所以正确地设置睡眠模式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBrOaz.html" rel="bookmark" class="title">记事本常用的功能介绍</a>
					<div>
						  记事本软件是电脑中必备的软件之一,无论你用的window系统还是还是别的什么系统,系统中总是必带记事本软件,而且我们也会经常用到它,word都比不上它,不要看它看上去不怎么起眼,其实拥有的功能还不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEW1Nqp.html" rel="bookmark" class="title">我如何做分类信息类站点的策划与推广</a>
					<div>
						一直觉得分类信息是属于刚性需求,切实互联网服务到老百姓生活的一类网站形式,所以很看好分类信息.06年开始关注,买了套程序没搞起来,08年做了第一个分类信息站,因那时实在贫穷,遂卖,转眼步入2010,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PZWrp.html" rel="bookmark" class="title">记一次因磁盘块默认保留策略导致的数据库导入失败问题</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://dgd2010.blog.51cto.com/1539422/1705606 近日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEPy4z.html" rel="bookmark" class="title">JavaScript代码风格要素</a>
					<div>
						1920年,由威廉·斯特伦克(William Strunk jr .)撰写的&lt;英语写作手册:风格的要素(The Elements of Style)&gt;出版了,这本书列举了7条英文写作的准则 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWegvp.html" rel="bookmark" class="title">【整理】snprintf辨析</a>
					<div>
						      长久以来,在大多数 C 实现上,snprintf 都是作为一个非标准的扩展存在的.随着 C99 标准的颁布,snprintf 终于浮上台面而成为合法功能,目前 snprintf 已经是 C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQG4Lp.html" rel="bookmark" class="title">各位大神， 求助，多谢</a>
					<div>
						问题描述 未能加载文件或程序集&quot;ActiproSoftware.CodeHighlighter.Net20(2)&quot;或它的某一个依赖项.找到的程序集清单定义与程序集引用不匹配.(异常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rkVop.html" rel="bookmark" class="title">CrystalReportView界面上有个&OpenCurlyDoubleQuote;主页面&rdquo;的标签，我现在不想要显示它，有什么办法可以去掉吗？</a>
					<div>
						问题描述 CrystalReportView界面上有个&quot;主页面&quot;的标签,我现在不想要显示它,有什么办法可以去掉吗?或者还有什么办法可以不用CrystalReportView也能显示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydXV8b.html" rel="bookmark" class="title">C&num; 多线程问题！！急，急，急</a>
					<div>
						问题描述 首先简要的说下整个流程:首先我这边有50台设备,我写了一个方法:包括登录设备.在ftp上下载文件.重启设备3个操作步骤,其中下载文件需要4分钟,重启设备需要8分钟.想在这边搞个多线程,因为也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWwaOz.html" rel="bookmark" class="title">盘点九种引人瞩目的开源大数据技术</a>
					<div>
						本文讲的是盘点九种引人瞩目的开源大数据技术,越来越多的公司开始聚焦于大数据技术领域,而开源恰恰是大数据技术的灵魂.以下将为您介绍九大引人注目的开源大数据技术,请拭目以待: 1.Apache Hadoo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqZO2p.html" rel="bookmark" class="title">Hibernate的代理对象是使用什么技术产生的？</a>
					<div>
						问题描述 是用java的Proxy类和InvocationHandler类产生的吗? 解决方案 在Hibernate3.3版本中,使用的字节码增强包默认是Javassist了.而在3.2.6中默认使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eV99b.html" rel="bookmark" class="title">连接sqlserver数据库的时候出现这么离奇的问题，大家知道怎么回事吗</a>
					<div>
						问题描述 连接sqlserver数据库的时候出现这么离奇的问题,大家知道怎么回事吗 我是用javaEE通过jfinal里面的C3p0插件连接sqlserver数据库的,为什么会出现[ ` ]这个附近有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YKXlz.html" rel="bookmark" class="title">何晟铭首次回应包养传闻：她只是有点钱</a>
					<div>
						何晟铭做客&lt;最佳现场&gt;(1 /13张) 近日,前&quot;中国力量成员&quot;.热播电视剧&lt;宫&gt;主角之一的何晟铭到访国内访谈节目&lt;最佳现场&gt;,除了谈到自己事业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXqO6b.html" rel="bookmark" class="title">数据与电力存在差异，人们对外部云意识仍薄弱</a>
					<div>
						随着科技的进步发展,从之前的电网发展逮到了电气化时代,供电设施也让大企业的重要商品渐渐发散到各个生产环境中,也随着云计算不断的升温,现在有些人已经开始将它与20世纪初的电力革命相比较了.但是,如果这样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JggAz.html" rel="bookmark" class="title">《天天有喜》收视第一</a>
					<div>
						暑期来袭,减压神话大剧&lt;天天有喜&gt;在湖南卫视金鹰独播剧场和爱奇艺双平台播出火热.收视惊人.全国网统计,7月17日&lt;天天有喜&gt;收视率更攀升至4.4%,占市场份额12.56%,稳坐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE4rmz.html" rel="bookmark" class="title">哥儿俩专&OpenCurlyDoubleQuote;黑&rdquo;网吧敲诈5&period;5万元</a>
					<div>
						本报讯(记者 白筱芃)弟弟在北京选择网吧上网,哥哥在四川远程攻击,以此勒索多家网吧共5.5万元. 日前昌平法院作出一审判决,陈红军兄弟分别被以敲诈勒索罪判处有期徒刑3年6个月和3年. 27岁的陈红军和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1r0Wb.html" rel="bookmark" class="title">Golang中的sync&period;WaitGroup用法实例&lowbar;Golang</a>
					<div>
						WaitGroup的用途:它能够一直等到所有的goroutine执行完成,并且阻塞主线程的执行,直到所有的goroutine执行完成. 官方对它的说明如下: A WaitGroup waits for ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5W4Rz.html" rel="bookmark" class="title">JS怎么去重及字符串奇数位小写转大写 JS去重及字符串奇数位小写转大写的教程</a>
					<div>
						面试中经常会考到数组的去重.作为一名合格的前端开发者,不知道几种去重方法是在不应该.废话不多说直接开撸-- 一.indexOf()方法 实现思路:使用indexOf()方法来判断新数组中是否有这个值, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0NNrz.html" rel="bookmark" class="title">remote script文档&lpar;转载自微软&rpar;&lpar;八&rpar;&lowbar;远程脚本</a>
					<div>
						文档: 调用对象属性和方法 当您调用一个服务器方法时,该方法不返回单个值.而是创建一个调用对象,该对象包含被调用过程的返回值和状态信息.下表列出了调用对象的属性. 属性 描述  id 调用的唯一标识号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6jOJM.html" rel="bookmark" class="title">库-libjpeg解码jpeg图片问题，具体怎么实现&quest;</a>
					<div>
						问题描述 libjpeg解码jpeg图片问题,具体怎么实现? 具体怎么解码,同时解码后解码后改变头信息?编译了libjpeg库后不会用啊. 解决方案 JPEG图片解码使用libjpeg解码jpeg图片 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJedZ8p.html" rel="bookmark" class="title">四川将进一步扩大农村消费</a>
					<div>
						根据四川省政府办公厅日前印发的&lt;四川省新农村市场体系发展规划(2009-2012年)2012年度实施计划&gt;,今年四川省将进一步扩大农村消费,乡村社会消费品零售总额力争达1700亿元,比上年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqP6Bp.html" rel="bookmark" class="title">暴雪CEO透露魔兽易主将暂停游戏运营</a>
					<div>
						比特网(Chinabyte)5月8日消息,今天上午,在动视暴雪公布2009年财报的电话会议上,暴雪CEO兼总裁迈克尔·莫海米(Michael Morhaime)透露,魔兽代理交割之后,中间将会出现短暂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bByODOz.html" rel="bookmark" class="title">打造人工智能生态 商汤获1&period;2亿美元融资</a>
					<div>
						本文讲的是打造人工智能生态 商汤获1.2亿美元融资[IT168 资讯]人工智能(AI)近来备受关注,源自于核心技术深度学习突破.深度学习平台公司商汤科技宣布完成由鼎晖投资领投新一轮融资.获得的1.2亿 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8G1goM.html" rel="bookmark" class="title">mysql利用mysqldump定时自动备份mysql数据库</a>
					<div>
						先来看windows中定时备份方法 方法一 mysqldump备份数据库 新建一个文件,如 mysqldump.bat. 将下面代码 写入文件mysqldump.bat  代码如下 复制代码 @ech ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2J27z.html" rel="bookmark" class="title">RainbruRPG 0&period;0&period;5-232发布 3D多人在线角色扮演游戏</a>
					<div>
						RainbruRPG是一个基于Ogre3D和C++EGUI的3D多人在线角色扮演游戏.它是采用C++和http://www.aliyun.com/zixun/aggregation/13430.htm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeLRdwp.html" rel="bookmark" class="title">韩庚录影与节目组起争执现场被经纪人拉走&lpar;图&rpar;</a>
					<div>
						韩庚,主持人黄小蕾和牛萌萌 CFP/图韩庚展示红肚兜 CFP/图 本报讯(记者 林芳) 昨天下午,在光线传媒录制&lt;大牌生日会&gt;节目的韩庚,在节目录制过程中突然罢录,甩下现场数百名粉丝与主持 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
